Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007146OCamldocumentationpublic2016-02-11 22:232017-09-24 17:32
Reporteroctachron 
Assigned Togasche 
PrioritylowSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.1+devFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007146: Use in-tree ocaml/ocamlc within the manual
DescriptionCurrently, the manual tools and examples are build using the system ocaml
installation. This can lead to subtle bugs in the manual examples when the
system and in-tree compiler are out-of-sync: in particular, uses of newly deprecated function become harder to spot.

For the specific case of the in-manual examples, it is relatively easy to fix the problem by modifying the manual's makefiles. However, it might make sense to factorize this work with the test subtree which has already solved the very same issues.

Unfortunately, I am not sure how to do that in a portable way.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015346)
gasche (administrator)
2016-02-11 22:29

> Unfortunately, I am not sure how to do that in a portable way.

I would try to split the part of testsuite/makefile/Makefile.common that sets the tool definitions into a sub-makefile testsuite/makefile/Makefile.tools, included from Makefile.common, and also from the makefiles in manual/**. The "calling convention" is to set the TOPDIR variable accordingly, and then $(OCAMLC) etc. should be usable.

I don't see portability issue with that solution.
(0015892)
octachron (developer)
2016-05-02 21:07

Fixed by https://github.com/ocaml/ocaml/pull/559 [^]
(0015893)
gasche (administrator)
2016-05-02 21:16

Many thanks!

- Issue History
Date Modified Username Field Change
2016-02-11 22:23 octachron New Issue
2016-02-11 22:29 gasche Note Added: 0015346
2016-02-11 22:30 gasche Status new => acknowledged
2016-02-11 22:30 gasche Severity minor => tweak
2016-02-11 22:30 gasche Target Version => 4.03.1+dev
2016-05-02 21:07 octachron Note Added: 0015892
2016-05-02 21:16 gasche Note Added: 0015893
2016-05-02 21:16 gasche Status acknowledged => resolved
2016-05-02 21:16 gasche Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-05-02 21:16 gasche Resolution open => fixed
2016-05-02 21:16 gasche Assigned To => gasche
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation
2017-09-24 17:32 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker